#pragma once

#include <QObject>

#include "ros_bridge/include/MessageBaseClass.h"

typedef ROSBridge::MessageBaseClass ROSMsgBase;
template <class PolygonType, template <class,class...> class ContainerType >
class PolygonArray : public ROSMsgBase, public ContainerType<PolygonType> {
public:
    explicit PolygonArray() : ROSMsgBase(), ContainerType<PolygonType>() {}
    PolygonArray(const PolygonArray &other) : ContainerType<PolygonType>(other) {}

    QString type() const override {return "PolygonArray";}
};
